/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/**
 *  \file   sciclient_fmwMsgParams.h
 *
 *  \brief  This file contains the definition of all the parameter IDs for
 *          PM, RM, Security.
 */

#ifndef SCICLIENT_FMWMSGPARAMS_H_
#define SCICLIENT_FMWMSGPARAMS_H_

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

/** Undefined Param Undefined */
#define TISCI_PARAM_UNDEF                                        (0xFFFFFFFFU)

/**
 *  \anchor Sciclient_FirmwareABI
 *  \name Sciclient Firmware ABI revisions
 *  @{
 *  ABI revisions for compatibility check.
 */
/* ABI Major revision - Major revision changes
*       indicate backward compatibility breakage */
#define SCICLIENT_FIRMWARE_ABI_MAJOR                     (2U)
/* ABI Minor revision - Minor revision changes
*       indicate backward compatibility is maintained,
*       however, new messages OR extensions to existing
*       messages might have been adde */
#define SCICLIENT_FIRMWARE_ABI_MINOR                     (4U)
/* @} */

/**
 *  \anchor Sciclient_ContextIds
 *  \name Sciclient Context Ids
 *  @{
 *  Context IDs for Sciclient_ConfigPrms_t .
 */
/** r5(Non Secure): Cortex R5 Context 0 on MCU island */
#define SCICLIENT_CONTEXT_R5_NONSEC_0                     (0U)
/** r5(Secure): Cortex R5 Context 1 on MCU island(Boot) */
#define SCICLIENT_CONTEXT_R5_SEC_0                        (1U)
/** r5(Non Secure): Cortex R5 Context 2 on MCU island */
#define SCICLIENT_CONTEXT_R5_NONSEC_1                     (2U)
/** r5(Secure): Cortex R5 Context 3 on MCU island */
#define SCICLIENT_CONTEXT_R5_SEC_1                        (3U)
/** a53(Secure): Cortex A53 context 0 on Main island */
#define SCICLIENT_CONTEXT_A53_SEC_0                       (4U)
/** a53(Secure): Cortex A53 context 1 on Main island */
#define SCICLIENT_CONTEXT_A53_SEC_1                       (5U)
/** a53(Non Secure): Cortex A53 context 2 on Main island */
#define SCICLIENT_CONTEXT_A53_NONSEC_0                    (6U)
/** a53(Non Secure): Cortex A53 context 3 on Main island */
#define SCICLIENT_CONTEXT_A53_NONSEC_1                    (7U)
/** a53(Non Secure): Cortex A53 context 4 on Main island */
#define SCICLIENT_CONTEXT_A53_NONSEC_2                    (8U)
/** a53(Non Secure): Cortex A53 context 5 on Main island */
#define SCICLIENT_CONTEXT_A53_NONSEC_3                    (9U)
/** a53(Non Secure): Cortex A53 context 6 on Main island */
#define SCICLIENT_CONTEXT_A53_NONSEC_4                    (10U)
/** a53(Non Secure): Cortex A53 context 7 on Main island */
#define SCICLIENT_CONTEXT_A53_NONSEC_5                    (11U)
/** gpu(Non Secure): SGX544 Context 0 on Main island */
#define SCICLIENT_CONTEXT_GPU_NONSEC_0                    (12U)
/** gpu(Non Secure): SGX544 Context 1 on Main island */
#define SCICLIENT_CONTEXT_GPU_NONSEC_1                    (13U)
/** icssg(Non Secure): ICSS Context 0 on Main island */
#define SCICLIENT_CONTEXT_ICSSG_NONSEC_0                  (14U)
/** icssg(Non Secure): ICSS Context 1 on Main island */
#define SCICLIENT_CONTEXT_ICSSG_NONSEC_1                  (15U)
/** icssg(Non Secure): ICSS Context 2 on Main island */
#define SCICLIENT_CONTEXT_ICSSG_NONSEC_2                  (16U)
/** Total number of possible contexts for application. */
#define SCICLIENT_CONTEXT_MAX_NUM                        (17U)
/* @} */

/**
 *  \anchor Sciclient_ProcessorIds
 *  \name Sciclient Processor Ids
 *  @{
 *  Processor IDs for the Processor Boot Configuration APIs.
 */
/** COMPUTE_CLUSTER_MSMC0: (Cluster 0 Processor 0) */
#define SCICLIENT_PROCID_A53_CL0_C0                       (0x20U)
/** COMPUTE_CLUSTER_MSMC0: (Cluster 0 Processor 1) */
#define SCICLIENT_PROCID_A53_CL0_C1                       (0x21U)
/** COMPUTE_CLUSTER_MSMC0: (Cluster 1 Processor 0) */
#define SCICLIENT_PROCID_A53_CL1_C0                       (0x22U)
/** COMPUTE_CLUSTER_MSMC0: (Cluster 1 Processor 1) */
#define SCICLIENT_PROCID_A53_CL1_C1                       (0x23U)
/** MCU_SEC_MMR0: (Cluster 0 Processor 0) */
#define SCICLIENT_PROCID_R5_CL0_C0                        (0x01U)
/** MCU_SEC_MMR0: (Cluster 0 Processor 1) */
#define SCICLIENT_PROCID_R5_CL0_C1                        (0x02U)
/* @} */

/**
 *  \anchor Sciclient_SecProxyHostIds
 *  \name Sciclient Secure Proxy Host Ids
 *  @{
 *  Host IDs for AM6 Device .
 */

/** DMSC(Secure): Device Memory and Security Controller */
#define TISCI_HOST_ID_DMSC (0U)
/** r5_0(Non Secure): Cortex R5 Context 0 on MCU island */
#define TISCI_HOST_ID_R5_0 (3U)
/** r5_1(Secure): Cortex R5 Context 1 on MCU island(Boot) */
#define TISCI_HOST_ID_R5_1 (4U)
/** r5_2(Non Secure): Cortex R5 Context 2 on MCU island */
#define TISCI_HOST_ID_R5_2 (5U)
/** r5_3(Secure): Cortex R5 Context 3 on MCU island */
#define TISCI_HOST_ID_R5_3 (6U)
/** a53_0(Secure): Cortex A53 context 0 on Main island */
#define TISCI_HOST_ID_A53_0 (10U)
/** a53_1(Secure): Cortex A53 context 1 on Main island */
#define TISCI_HOST_ID_A53_1 (11U)
/** a53_2(Non Secure): Cortex A53 context 2 on Main island */
#define TISCI_HOST_ID_A53_2 (12U)
/** a53_3(Non Secure): Cortex A53 context 3 on Main island */
#define TISCI_HOST_ID_A53_3 (13U)
/** a53_4(Non Secure): Cortex A53 context 4 on Main island */
#define TISCI_HOST_ID_A53_4 (14U)
/** a53_5(Non Secure): Cortex A53 context 5 on Main island */
#define TISCI_HOST_ID_A53_5 (15U)
/** a53_6(Non Secure): Cortex A53 context 6 on Main island */
#define TISCI_HOST_ID_A53_6 (16U)
/** a53_7(Non Secure): Cortex A53 context 7 on Main island */
#define TISCI_HOST_ID_A53_7 (17U)
/** gpu_0(Non Secure): SGX544 Context 0 on Main island */
#define TISCI_HOST_ID_GPU_0 (30U)
/** gpu_1(Non Secure): SGX544 Context 1 on Main island */
#define TISCI_HOST_ID_GPU_1 (31U)
/** icssg_0(Non Secure): ICSS Context 0 on Main island */
#define TISCI_HOST_ID_ICSSG_0 (50U)
/** icssg_1(Non Secure): ICSS Context 1 on Main island */
#define TISCI_HOST_ID_ICSSG_1 (51U)
/** icssg_2(Non Secure): ICSS Context 2 on Main island */
#define TISCI_HOST_ID_ICSSG_2 (52U)

/** Host catch all.  Used in board configuration resource assignments to
 *  define resource ranges useable by all hosts.  Cannot be used as a host
 *  in TISCI message headers */
#define TISCI_HOST_ID_ALL (128U)

/** Number of unique hosts on the AM6 SoC */
#define TISCI_HOST_ID_CNT (19U)

/* @} */


/** -------------------- Resource Management Parameters ---------------------*/
#define TISCI_MSG_VALUE_RM_NULL_RING_TYPE     (0xFFFFu)
#define TISCI_MSG_VALUE_RM_NULL_RING_INDEX    (0xFFFFFFFFu)
#define TISCI_MSG_VALUE_RM_NULL_RING_ADDR     (0xFFFFFFFFu)
#define TISCI_MSG_VALUE_RM_NULL_RING_COUNT    (0xFFFFFFFFu)
/**
 * The ring mode field of the RING_SIZE register is not modified if this value
 * is used for:
 * @ref tisci_msg_rm_ring_cfg_req::mode
 */
#define TISCI_MSG_VALUE_RM_NULL_RING_MODE      (0xFFu)
#define TISCI_MSG_VALUE_RM_NULL_RING_SIZE      (0xFFu)
#define TISCI_MSG_VALUE_RM_NULL_ORDER_ID       (0xFFu)
#define TISCI_MSG_VALUE_RM_UDMAP_NULL_CH_TYPE  (0xFFu)
#define TISCI_MSG_VALUE_RM_UDMAP_NULL_CH_INDEX (0xFFFFFFFFu)

/** ------------ Power Management Messages Parameters -----------------------*/
/**
 *  \anchor Sciclient_PmDeviceIds
 *  \name Power Management Device IDs
 *  @{
 *  Power Management Module Device IDs
 */
#define TISCI_DEV_MCU_ADC0 (0U)
#define TISCI_DEV_MCU_ADC1 (1U)
#define TISCI_DEV_CAL0 (2U)
#define TISCI_DEV_CMPEVENT_INTRTR0 (3U)
#define TISCI_DEV_MCU_CPSW0 (5U)
#define TISCI_DEV_CPT2_AGGR0 (6U)
#define TISCI_DEV_MCU_CPT2_AGGR0 (7U)
#define TISCI_DEV_STM0 (8U)
#define TISCI_DEV_DCC0 (9U)
#define TISCI_DEV_DCC1 (10U)
#define TISCI_DEV_DCC2 (11U)
#define TISCI_DEV_DCC3 (12U)
#define TISCI_DEV_DCC4 (13U)
#define TISCI_DEV_DCC5 (14U)
#define TISCI_DEV_DCC6 (15U)
#define TISCI_DEV_DCC7 (16U)
#define TISCI_DEV_MCU_DCC0 (17U)
#define TISCI_DEV_MCU_DCC1 (18U)
#define TISCI_DEV_MCU_DCC2 (19U)
#define TISCI_DEV_DDRSS0 (20U)
#define TISCI_DEV_DEBUGSS_WRAP0 (21U)
#define TISCI_DEV_WKUP_DMSC0 (22U)
#define TISCI_DEV_TIMER0 (23U)
#define TISCI_DEV_TIMER1 (24U)
#define TISCI_DEV_TIMER10 (25U)
#define TISCI_DEV_TIMER11 (26U)
#define TISCI_DEV_TIMER2 (27U)
#define TISCI_DEV_TIMER3 (28U)
#define TISCI_DEV_TIMER4 (29U)
#define TISCI_DEV_TIMER5 (30U)
#define TISCI_DEV_TIMER6 (31U)
#define TISCI_DEV_TIMER7 (32U)
#define TISCI_DEV_TIMER8 (33U)
#define TISCI_DEV_TIMER9 (34U)
#define TISCI_DEV_MCU_TIMER0 (35U)
#define TISCI_DEV_MCU_TIMER1 (36U)
#define TISCI_DEV_MCU_TIMER2 (37U)
#define TISCI_DEV_MCU_TIMER3 (38U)
#define TISCI_DEV_ECAP0 (39U)
#define TISCI_DEV_EHRPWM0 (40U)
#define TISCI_DEV_EHRPWM1 (41U)
#define TISCI_DEV_EHRPWM2 (42U)
#define TISCI_DEV_EHRPWM3 (43U)
#define TISCI_DEV_EHRPWM4 (44U)
#define TISCI_DEV_EHRPWM5 (45U)
#define TISCI_DEV_ELM0 (46U)
#define TISCI_DEV_MMCSD0 (47U)
#define TISCI_DEV_MMCSD1 (48U)
#define TISCI_DEV_EQEP0 (49U)
#define TISCI_DEV_EQEP1 (50U)
#define TISCI_DEV_EQEP2 (51U)
#define TISCI_DEV_ESM0 (52U)
#define TISCI_DEV_MCU_ESM0 (53U)
#define TISCI_DEV_WKUP_ESM0 (54U)
#define TISCI_DEV_MCU_FSS0 (55U)
#define TISCI_DEV_GIC0 (56U)
#define TISCI_DEV_GPIO0 (57U)
#define TISCI_DEV_GPIO1 (58U)
#define TISCI_DEV_WKUP_GPIO0 (59U)
#define TISCI_DEV_GPMC0 (60U)
#define TISCI_DEV_GTC0 (61U)
#define TISCI_DEV_PRU_ICSSG0 (62U)
#define TISCI_DEV_PRU_ICSSG1 (63U)
#define TISCI_DEV_PRU_ICSSG2 (64U)
#define TISCI_DEV_GPU0 (65U)
#define TISCI_DEV_CCDEBUGSS0 (66U)
#define TISCI_DEV_DSS0 (67U)
#define TISCI_DEV_DEBUGSS0 (68U)
#define TISCI_DEV_EFUSE0 (69U)
#define TISCI_DEV_PSC0 (70U)
#define TISCI_DEV_MCU_DEBUGSS0 (71U)
#define TISCI_DEV_MCU_EFUSE0 (72U)
#define TISCI_DEV_PBIST0 (73U)
#define TISCI_DEV_PBIST1 (74U)
#define TISCI_DEV_MCU_PBIST0 (75U)
#define TISCI_DEV_PLLCTRL0 (76U)
#define TISCI_DEV_WKUP_PLLCTRL0 (77U)
#define TISCI_DEV_MCU_ROM0 (78U)
#define TISCI_DEV_WKUP_PSC0 (79U)
#define TISCI_DEV_WKUP_VTM0 (80U)
#define TISCI_DEV_DEBUGSUSPENDRTR0 (81U)
#define TISCI_DEV_CBASS0 (82U)
#define TISCI_DEV_CBASS_DEBUG0 (83U)
#define TISCI_DEV_CBASS_FW0 (84U)
#define TISCI_DEV_CBASS_INFRA0 (85U)
#define TISCI_DEV_ECC_AGGR0 (86U)
#define TISCI_DEV_ECC_AGGR1 (87U)
#define TISCI_DEV_ECC_AGGR2 (88U)
#define TISCI_DEV_MCU_CBASS0 (89U)
#define TISCI_DEV_MCU_CBASS_DEBUG0 (90U)
#define TISCI_DEV_MCU_CBASS_FW0 (91U)
#define TISCI_DEV_MCU_ECC_AGGR0 (92U)
#define TISCI_DEV_MCU_ECC_AGGR1 (93U)
#define TISCI_DEV_WKUP_CBASS0 (94U)
#define TISCI_DEV_WKUP_ECC_AGGR0 (95U)
#define TISCI_DEV_WKUP_CBASS_FW0 (96U)
#define TISCI_DEV_MAIN2MCU_LVL_INTRTR0 (97U)
#define TISCI_DEV_MAIN2MCU_PLS_INTRTR0 (98U)
#define TISCI_DEV_CTRL_MMR0 (99U)
#define TISCI_DEV_GPIOMUX_INTRTR0 (100U)
#define TISCI_DEV_PLL_MMR0 (101U)
#define TISCI_DEV_MCU_MCAN0 (102U)
#define TISCI_DEV_MCU_MCAN1 (103U)
#define TISCI_DEV_MCASP0 (104U)
#define TISCI_DEV_MCASP1 (105U)
#define TISCI_DEV_MCASP2 (106U)
#define TISCI_DEV_MCU_CTRL_MMR0 (107U)
#define TISCI_DEV_MCU_PLL_MMR0 (108U)
#define TISCI_DEV_MCU_SEC_MMR0 (109U)
#define TISCI_DEV_I2C0 (110U)
#define TISCI_DEV_I2C1 (111U)
#define TISCI_DEV_I2C2 (112U)
#define TISCI_DEV_I2C3 (113U)
#define TISCI_DEV_MCU_I2C0 (114U)
#define TISCI_DEV_WKUP_I2C0 (115U)
#define TISCI_DEV_MCU_MSRAM0 (116U)
#define TISCI_DEV_DFTSS0 (117U)
#define TISCI_DEV_NAVSS0 (118U)
#define TISCI_DEV_MCU_NAVSS0 (119U)
#define TISCI_DEV_PCIE0 (120U)
#define TISCI_DEV_PCIE1 (121U)
#define TISCI_DEV_PDMA_DEBUG0 (122U)
#define TISCI_DEV_PDMA0 (123U)
#define TISCI_DEV_PDMA1 (124U)
#define TISCI_DEV_MCU_PDMA0 (125U)
#define TISCI_DEV_MCU_PDMA1 (126U)
#define TISCI_DEV_MCU_PSRAM0 (127U)
#define TISCI_DEV_PSRAMECC0 (128U)
#define TISCI_DEV_MCU_ARMSS0 (129U)
#define TISCI_DEV_RTI0 (130U)
#define TISCI_DEV_RTI1 (131U)
#define TISCI_DEV_RTI2 (132U)
#define TISCI_DEV_RTI3 (133U)
#define TISCI_DEV_MCU_RTI0 (134U)
#define TISCI_DEV_MCU_RTI1 (135U)
#define TISCI_DEV_SA2_UL0 (136U)
#define TISCI_DEV_MCSPI0 (137U)
#define TISCI_DEV_MCSPI1 (138U)
#define TISCI_DEV_MCSPI2 (139U)
#define TISCI_DEV_MCSPI3 (140U)
#define TISCI_DEV_MCSPI4 (141U)
#define TISCI_DEV_MCU_MCSPI0 (142U)
#define TISCI_DEV_MCU_MCSPI1 (143U)
#define TISCI_DEV_MCU_MCSPI2 (144U)
#define TISCI_DEV_TIMESYNC_INTRTR0 (145U)
#define TISCI_DEV_UART0 (146U)
#define TISCI_DEV_UART1 (147U)
#define TISCI_DEV_UART2 (148U)
#define TISCI_DEV_MCU_UART0 (149U)
#define TISCI_DEV_WKUP_UART0 (150U)
#define TISCI_DEV_USB3SS0 (151U)
#define TISCI_DEV_USB3SS1 (152U)
#define TISCI_DEV_SERDES0 (153U)
#define TISCI_DEV_SERDES1 (154U)
#define TISCI_DEV_WKUP_CTRL_MMR0 (155U)
#define TISCI_DEV_WKUP_GPIOMUX_INTRTR0 (156U)
#define TISCI_DEV_BOARD0 (157U)
#define TISCI_DEV_MCU_ARMSS0_CPU0 (159U)
#define TISCI_DEV_WKUP_DMSC0_CORTEX_M3_0 (161U)
#define TISCI_DEV_WKUP_DMSC0_INTR_AGGR_0 (162U)
#define TISCI_DEV_NAVSS0_CPTS0 (163U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER0 (164U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER1 (165U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER2 (166U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER3 (167U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER4 (168U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER5 (169U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER6 (170U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER7 (171U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER8 (172U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER9 (173U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER10 (174U)
#define TISCI_DEV_NAVSS0_MAILBOX0_CLUSTER11 (175U)
#define TISCI_DEV_NAVSS0_MCRC0 (176U)
#define TISCI_DEV_NAVSS0_PVU0 (177U)
#define TISCI_DEV_NAVSS0_PVU1 (178U)
#define TISCI_DEV_NAVSS0_UDMASS_INTA0 (179U)
#define TISCI_DEV_NAVSS0_MODSS_INTA0 (180U)
#define TISCI_DEV_NAVSS0_MODSS_INTA1 (181U)
#define TISCI_DEV_NAVSS0_INTR_ROUTER_0 (182U)
#define TISCI_DEV_NAVSS0_TIMER_MGR0 (183U)
#define TISCI_DEV_NAVSS0_TIMER_MGR1 (184U)
#define TISCI_DEV_NAVSS0_PROXY0 (185U)
#define TISCI_DEV_NAVSS0_SEC_PROXY0 (186U)
#define TISCI_DEV_NAVSS0_RINGACC0 (187U)
#define TISCI_DEV_NAVSS0_UDMAP0 (188U)
#define TISCI_DEV_MCU_NAVSS0_INTR_AGGR_0 (189U)
#define TISCI_DEV_MCU_NAVSS0_INTR_ROUTER_0 (190U)
#define TISCI_DEV_MCU_NAVSS0_PROXY0 (191U)
#define TISCI_DEV_MCU_NAVSS0_SEC_PROXY0 (192U)
#define TISCI_DEV_MCU_NAVSS0_MCRC0 (193U)
#define TISCI_DEV_MCU_NAVSS0_UDMAP0 (194U)
#define TISCI_DEV_MCU_NAVSS0_RINGACC0 (195U)
#define TISCI_DEV_COMPUTE_CLUSTER_MSMC0 (196U)
#define TISCI_DEV_COMPUTE_CLUSTER_PBIST0 (197U)
#define TISCI_DEV_COMPUTE_CLUSTER_CPAC0 (198U)
#define TISCI_DEV_COMPUTE_CLUSTER_CPAC_PBIST0 (199U)
#define TISCI_DEV_COMPUTE_CLUSTER_CPAC1 (200U)
#define TISCI_DEV_COMPUTE_CLUSTER_CPAC_PBIST1 (201U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_0 (202U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_1 (203U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_2 (204U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_3 (205U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVSRAMLO_4 (206U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_FSS_S1_3 (207U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_EXPORT_SLV_0 (208U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVSRAMHI_3 (209U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_SRAM_SLV_1 (210U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVDDRHI_5 (211U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVDDRLO_6 (212U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_CAL0_0 (213U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_DSS_2 (214U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_FSS_S0_2 (215U)
#define TISCI_DEV_OLDI_TX_CORE_MAIN_0 (216U)
#define TISCI_DEV_K3_ARM_ATB_FUNNEL_3_32_MCU_0 (217U)
#define TISCI_DEV_ICEMELTER_WKUP_0 (218U)
#define TISCI_DEV_K3_LED_MAIN_0 (219U)
#define TISCI_DEV_VDC_DATA_VBUSM_32B_REF_WKUP2MCU (220U)
#define TISCI_DEV_VDC_DATA_VBUSM_32B_REF_MCU2WKUP (221U)
#define TISCI_DEV_VDC_DATA_VBUSM_64B_REF_MAIN2MCU (222U)
#define TISCI_DEV_VDC_DATA_VBUSM_64B_REF_MCU2MAIN (223U)
#define TISCI_DEV_VDC_DMSC_DBG_VBUSP_32B_REF_DBG2DMSC (224U)
#define TISCI_DEV_VDC_INFRA_VBUSP_32B_REF_WKUP2MAIN_INFRA (225U)
#define TISCI_DEV_VDC_INFRA_VBUSP_32B_REF_MCU2MAIN_INFRA (226U)
#define TISCI_DEV_VDC_SOC_FW_VBUSP_32B_REF_FWWKUP2MCU (227U)
#define TISCI_DEV_VDC_SOC_FW_VBUSP_32B_REF_FWMCU2MAIN (228U)
#define TISCI_DEV_VDC_MCU_DBG_VBUSP_32B_REF_DBGMAIN2MCU (229U)
#define TISCI_DEV_VDC_NAV_PSIL_128B_REF_MAIN2MCU (230U)
#define TISCI_DEV_GS80PRG_SOC_WRAP_WKUP_0 (231U)
#define TISCI_DEV_GS80PRG_MCU_WRAP_WKUP_0 (232U)
#define TISCI_DEV_MX_WAKEUP_RESET_SYNC_WKUP_0 (233U)
#define TISCI_DEV_MX_EFUSE_MAIN_CHAIN_MAIN_0 (234U)
#define TISCI_DEV_MX_EFUSE_MCU_CHAIN_MCU_0 (235U)
#define TISCI_DEV_DUMMY_IP_LPSC_WKUP2MCU (236U)
#define TISCI_DEV_DUMMY_IP_LPSC_WKUP2MAIN_INFRA (237U)
#define TISCI_DEV_DUMMY_IP_LPSC_DEBUG2DMSC (238U)
#define TISCI_DEV_DUMMY_IP_LPSC_DMSC (239U)
#define TISCI_DEV_DUMMY_IP_LPSC_MCU2MAIN_INFRA (240U)
#define TISCI_DEV_DUMMY_IP_LPSC_MCU2MAIN (241U)
#define TISCI_DEV_DUMMY_IP_LPSC_MCU2WKUP (242U)
#define TISCI_DEV_DUMMY_IP_LPSC_MAIN2MCU (243U)
#define TISCI_DEV_DUMMY_IP_LPSC_EMIF_DATA (244U)
#define TISCI_DEV_MCU_ARMSS0_CPU1 (245U)
#define TISCI_DEV_MAX (246U)
#define TISCI_NO_DEV (247U)
/* @} */

/**
 *  \anchor Sciclient_PmModuleClockIds
 *  \name Power Management Clock IDs Module Wise
 *  @{
 *  Power Management Module Clock IDs for individual modules.
 */
#define TISCI_DEV_DCC4_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC4_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_DCC4_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_DCC4_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_DCC4_BUS_VBUS_CLK (4U)
#define TISCI_DEV_DCC4_BUS_DCC_INPUT01_CLK (5U)
#define TISCI_DEV_DCC4_BUS_DCC_CLKSRC5_CLK (6U)
#define TISCI_DEV_DCC4_BUS_DCC_INPUT02_CLK (7U)
#define TISCI_DEV_DCC4_BUS_DCC_CLKSRC0_CLK (8U)
#define TISCI_DEV_DCC4_BUS_DCC_CLKSRC6_CLK (9U)
#define TISCI_DEV_DCC4_BUS_DCC_INPUT10_CLK (10U)
#define TISCI_DEV_DCC4_BUS_DCC_CLKSRC2_CLK (11U)
#define TISCI_DEV_DCC6_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_DCC6_BUS_VBUS_CLK (4U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_DCC6_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_DCC6_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_DCC6_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_DCC6_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_DCC0_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC0_BUS_DCC_CLKSRC4_CLK (1U)
#define TISCI_DEV_DCC0_BUS_DCC_CLKSRC3_CLK (2U)
#define TISCI_DEV_DCC0_BUS_VBUS_CLK (3U)
#define TISCI_DEV_DCC0_BUS_DCC_CLKSRC1_CLK (4U)
#define TISCI_DEV_DCC0_BUS_DCC_INPUT01_CLK (5U)
#define TISCI_DEV_DCC0_BUS_DCC_CLKSRC5_CLK (6U)
#define TISCI_DEV_DCC0_BUS_DCC_INPUT02_CLK (7U)
#define TISCI_DEV_DCC0_BUS_DCC_CLKSRC0_CLK (8U)
#define TISCI_DEV_DCC0_BUS_DCC_CLKSRC6_CLK (9U)
#define TISCI_DEV_DCC0_BUS_DCC_INPUT10_CLK (10U)
#define TISCI_DEV_DCC0_BUS_DCC_CLKSRC2_CLK (11U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_MCU_DCC2_BUS_VBUS_CLK (4U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_MCU_DCC2_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_DCC5_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_DCC5_BUS_VBUS_CLK (4U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_DCC5_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_DCC5_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_DCC5_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_DCC5_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_MCU_DCC0_BUS_VBUS_CLK (4U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_MCU_DCC0_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_MCU_DCC1_BUS_VBUS_CLK (4U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_MCU_DCC1_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_DCC1_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_DCC1_BUS_VBUS_CLK (4U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_DCC1_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_DCC1_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_DCC1_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_DCC1_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_DCC3_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC3_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_DCC3_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_DCC3_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_DCC3_BUS_VBUS_CLK (4U)
#define TISCI_DEV_DCC3_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_DCC3_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_DCC3_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_DCC3_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_DCC3_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_DCC3_BUS_DCC_INPUT10_CLK (10U)
#define TISCI_DEV_DCC3_BUS_DCC_CLKSRC2_CLK (11U)
#define TISCI_DEV_DCC7_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_DCC7_BUS_VBUS_CLK (4U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_DCC7_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_DCC7_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_DCC7_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_DCC7_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_DCC2_BUS_DCC_INPUT00_CLK (0U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC7_CLK (1U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC4_CLK (2U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC3_CLK (3U)
#define TISCI_DEV_DCC2_BUS_VBUS_CLK (4U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC1_CLK (5U)
#define TISCI_DEV_DCC2_BUS_DCC_INPUT01_CLK (6U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC5_CLK (7U)
#define TISCI_DEV_DCC2_BUS_DCC_INPUT02_CLK (8U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC0_CLK (9U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC6_CLK (10U)
#define TISCI_DEV_DCC2_BUS_DCC_INPUT10_CLK (11U)
#define TISCI_DEV_DCC2_BUS_DCC_CLKSRC2_CLK (12U)
#define TISCI_DEV_MCU_I2C0_BUS_CLK (0U)
#define TISCI_DEV_MCU_I2C0_BUS_PISYS_CLK (1U)
#define TISCI_DEV_MCU_I2C0_BUS_PISCL (2U)
#define TISCI_DEV_I2C3_BUS_CLK (0U)
#define TISCI_DEV_I2C3_BUS_PISYS_CLK (1U)
#define TISCI_DEV_I2C3_BUS_PISCL (2U)
#define TISCI_DEV_I2C2_BUS_CLK (0U)
#define TISCI_DEV_I2C2_BUS_PISYS_CLK (1U)
#define TISCI_DEV_I2C2_BUS_PISCL (2U)
#define TISCI_DEV_WKUP_I2C0_BUS_CLK (0U)
#define TISCI_DEV_WKUP_I2C0_BUS_PISYS_CLK (1U)
#define TISCI_DEV_WKUP_I2C0_BUS_PISYS_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT3_CLK (2U)
#define TISCI_DEV_WKUP_I2C0_BUS_PISYS_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (3U)
#define TISCI_DEV_WKUP_I2C0_BUS_PISCL (4U)
#define TISCI_DEV_I2C0_BUS_CLK (0U)
#define TISCI_DEV_I2C0_BUS_PISYS_CLK (1U)
#define TISCI_DEV_I2C0_BUS_PISCL (2U)
#define TISCI_DEV_I2C1_BUS_CLK (0U)
#define TISCI_DEV_I2C1_BUS_PISYS_CLK (1U)
#define TISCI_DEV_I2C1_BUS_PISCL (2U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER5_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER5_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER6_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER6_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER7_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER7_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (2U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK (4U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (5U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (6U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_CPSW_2GUSS_MCU_0_BUS_CPTS_GENF0_0 (7U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (8U)
#define TISCI_DEV_MCU_TIMER0_BUS_TIMER_HCLK_CLK (9U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER8_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER8_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER2_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (2U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK (4U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (5U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (6U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_CPSW_2GUSS_MCU_0_BUS_CPTS_GENF0_0 (7U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (8U)
#define TISCI_DEV_MCU_TIMER1_BUS_TIMER_HCLK_CLK (9U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (2U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK (4U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (5U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (6U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_CPSW_2GUSS_MCU_0_BUS_CPTS_GENF0_0 (7U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (8U)
#define TISCI_DEV_MCU_TIMER2_BUS_TIMER_HCLK_CLK (9U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER4_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER4_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER3_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER9_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER9_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER11_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER11_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER10_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER10_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER0_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER0_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (2U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK (4U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (5U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (6U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_CPSW_2GUSS_MCU_0_BUS_CPTS_GENF0_0 (7U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (8U)
#define TISCI_DEV_MCU_TIMER3_BUS_TIMER_HCLK_CLK (9U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK (0U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (2U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (3U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (7U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (8U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (9U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (10U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (11U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (12U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (13U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (14U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_TIMER1_BUS_TIMER_TCLK_CLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_TIMER1_BUS_TIMER_HCLK_CLK (17U)
#define TISCI_DEV_WKUP_PSC0_BUS_CLK (0U)
#define TISCI_DEV_WKUP_PSC0_BUS_SLOW_CLK (1U)
#define TISCI_DEV_CBASS0_BUS_MAIN_SYSCLK0_2_CLK (0U)
#define TISCI_DEV_CBASS0_BUS_MAIN_SYSCLK0_4_CLK (1U)
#define TISCI_DEV_PLL_MMR0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_MCU_CPT2_AGGR0_BUS_VCLK_CLK (0U)
#define TISCI_DEV_CPT2_AGGR0_BUS_VCLK_CLK (0U)
#define TISCI_DEV_DEBUGSS0_BUS_ATB1_CLK (0U)
#define TISCI_DEV_DEBUGSS0_BUS_ATB5_CLK (1U)
#define TISCI_DEV_DEBUGSS0_BUS_ATB0_CLK (2U)
#define TISCI_DEV_DEBUGSS0_BUS_SYS_CLK (3U)
#define TISCI_DEV_DEBUGSS0_BUS_ATB4_CLK (4U)
#define TISCI_DEV_DEBUGSS0_BUS_CFG_CLK (5U)
#define TISCI_DEV_DEBUGSS0_BUS_ATB2_CLK (6U)
#define TISCI_DEV_DEBUGSS0_BUS_DBG_CLK (7U)
#define TISCI_DEV_DEBUGSS0_BUS_ATB3_CLK (8U)
#define TISCI_DEV_EHRPWM4_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_EHRPWM1_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_EHRPWM0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_EHRPWM3_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_EHRPWM5_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_EHRPWM2_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_ELM0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_MCU_UART0_BUS_FCLK_CLK (0U)
#define TISCI_DEV_MCU_UART0_BUS_FCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT3_CLK (1U)
#define TISCI_DEV_MCU_UART0_BUS_FCLK_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK5 (2U)
#define TISCI_DEV_MCU_UART0_BUS_VBUSP_CLK (3U)
#define TISCI_DEV_WKUP_UART0_BUS_FCLK_CLK (0U)
#define TISCI_DEV_WKUP_UART0_BUS_FCLK_CLK_PARENT_CLOCKMUX_WKUPUSART_CLK_SEL_BUS_OUT0 (1U)
#define TISCI_DEV_WKUP_UART0_BUS_FCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (2U)
#define TISCI_DEV_WKUP_UART0_BUS_VBUSP_CLK (3U)
#define TISCI_DEV_UART1_BUS_FCLK_CLK (0U)
#define TISCI_DEV_UART1_BUS_VBUSP_CLK (1U)
#define TISCI_DEV_UART0_BUS_FCLK_CLK (0U)
#define TISCI_DEV_UART0_BUS_VBUSP_CLK (1U)
#define TISCI_DEV_UART2_BUS_FCLK_CLK (0U)
#define TISCI_DEV_UART2_BUS_VBUSP_CLK (1U)
#define TISCI_DEV_SA2_UL0_BUS_PKA_IN_CLK (0U)
#define TISCI_DEV_SA2_UL0_BUS_X1_CLK (1U)
#define TISCI_DEV_SA2_UL0_BUS_X2_CLK (2U)
#define TISCI_DEV_CAL0_BUS_CLK (0U)
#define TISCI_DEV_CAL0_BUS_CP_C_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVSRAMLO_4_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVSRAMLO_4_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_FSS_S1_3_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_FSS_S1_3_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_EXPORT_SLV_0_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_EXPORT_SLV_0_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVSRAMHI_3_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVSRAMHI_3_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_SRAM_SLV_1_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_SRAM_SLV_1_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVDDRHI_5_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVDDRHI_5_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVDDRLO_6_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_NAVDDRLO_6_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_CAL0_0_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_CAL0_0_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_DSS_2_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MAIN_DSS_2_BUS_PROBE_CLK (1U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_FSS_S0_2_BUS_VBUS_CLK (0U)
#define TISCI_DEV_CPT2_PROBE_VBUSM_MCU_FSS_S0_2_BUS_PROBE_CLK (1U)
#define TISCI_DEV_PBIST0_BUS_CLK1_CLK (0U)
#define TISCI_DEV_PBIST0_BUS_CLK4_CLK (1U)
#define TISCI_DEV_PBIST0_BUS_CLK2_CLK (2U)
#define TISCI_DEV_PBIST1_BUS_CLK1_CLK (0U)
#define TISCI_DEV_PBIST1_BUS_CLK4_CLK (1U)
#define TISCI_DEV_PBIST1_BUS_CLK2_CLK (2U)
#define TISCI_DEV_MCU_PBIST0_BUS_CLK1_CLK (0U)
#define TISCI_DEV_MCU_PBIST0_BUS_CLK4_CLK (1U)
#define TISCI_DEV_MCU_PBIST0_BUS_CLK2_CLK (2U)
#define TISCI_DEV_NAVSS0_BUS_UDMASS_VD2CLK (0U)
#define TISCI_DEV_NAVSS0_BUS_ICSS_G2CLK (1U)
#define TISCI_DEV_NAVSS0_BUS_ICSS_G0CLK (2U)
#define TISCI_DEV_NAVSS0_BUS_RCLK_BUS_IN3_BOARD_0_BUS_CPTS_RFT_CLK (3U)
#define TISCI_DEV_NAVSS0_BUS_MSMC0CLK (4U)
#define TISCI_DEV_NAVSS0_BUS_RCLK_BUS_IN0_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_NAVSS0_BUS_RCLK_BUS_IN2_BOARD_0_BUS_MCU_CPTS_RFT_CLK (6U)
#define TISCI_DEV_NAVSS0_BUS_MODSS_VD2CLK (7U)
#define TISCI_DEV_NAVSS0_BUS_RCLK_BUS_IN4_BOARD_0_BUS_MCU_EXT_REFCLK0 (8U)
#define TISCI_DEV_NAVSS0_BUS_PDMA_MAIN1CLK (9U)
#define TISCI_DEV_NAVSS0_BUS_NBSS_VCLK (10U)
#define TISCI_DEV_NAVSS0_BUS_RCLK_BUS_IN1_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (11U)
#define TISCI_DEV_NAVSS0_BUS_NBSS_VD2CLK (12U)
#define TISCI_DEV_NAVSS0_BUS_ICSS_G1CLK (13U)
#define TISCI_DEV_NAVSS0_BUS_RCLK_BUS_IN5_BOARD_0_BUS_EXT_REFCLK1 (14U)
#define TISCI_DEV_NAVSS0_BUS_CPTS0_GENF4_0 (15U)
#define TISCI_DEV_NAVSS0_BUS_CPTS0_GENF5_0 (16U)
#define TISCI_DEV_NAVSS0_BUS_CPTS0_GENF2_0 (17U)
#define TISCI_DEV_NAVSS0_BUS_CPTS0_GENF3_0 (18U)
#define TISCI_DEV_DSS0_BUS_DPI_0_IN_CLK_BUS_IN1_CLOCKDIVIDER_DSS_BUS_OUT0 (0U)
#define TISCI_DEV_DSS0_BUS_DSS_FUNC_CLK (1U)
#define TISCI_DEV_DSS0_BUS_DPI_1_IN_CLK (2U)
#define TISCI_DEV_DSS0_BUS_DPI_1_IN_CLK_PARENT_CLOCKDIVIDER_DSS_BUS_OUT07 (3U)
#define TISCI_DEV_DSS0_BUS_DPI_1_IN_CLK_PARENT_BOARD_0_BUS_DSS0EXTPCLKIN (4U)
#define TISCI_DEV_DSS0_BUS_DPI_1_IN_CLK_PARENT_CLOCKDIVIDER_DSS_BUS_OUT1 (5U)
#define TISCI_DEV_DSS0_BUS_DPI_0_IN_CLK_BUS_IN0_CLOCKDIVIDER_DSS_BUS_OUT0 (6U)
#define TISCI_DEV_DSS0_BUS_DPI_1_OUT_CLK (7U)
#define TISCI_DEV_GPMC0_BUS_FUNC_CLK (0U)
#define TISCI_DEV_GPMC0_BUS_FUNC_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT3_CLK (1U)
#define TISCI_DEV_GPMC0_BUS_FUNC_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_CLKOUT_CLK3 (2U)
#define TISCI_DEV_GPMC0_BUS_FUNC_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_CLKOUT_CLK2 (3U)
#define TISCI_DEV_GPMC0_BUS_FUNC_CLK_PARENT_K3_PLL_CTRL_WRAP_MAIN_0_BUS_CHIP_DIV1_CLK_CLK4 (4U)
#define TISCI_DEV_GPMC0_BUS_PI_GPMC_RET_CLK (5U)
#define TISCI_DEV_GPMC0_BUS_VBUSP_CLK (6U)
#define TISCI_DEV_GPMC0_BUS_PO_GPMC_DEV_CLK (7U)
#define TISCI_DEV_MMCSD1_BUS_EMMCSDSS_VBUS_CLK (0U)
#define TISCI_DEV_MMCSD1_BUS_EMMCSDSS_XIN_CLK (1U)
#define TISCI_DEV_WKUP_PLLCTRL0_BUS_VBUS_SLV_REFCLK_CLK (0U)
#define TISCI_DEV_WKUP_PLLCTRL0_BUS_PLL_CLKOUT_CLK (1U)
#define TISCI_DEV_WKUP_PLLCTRL0_BUS_PLL_REFCLK_CLK (2U)
#define TISCI_DEV_PLLCTRL0_BUS_VBUS_SLV_REFCLK_CLK (0U)
#define TISCI_DEV_PLLCTRL0_BUS_PLL_CLKOUT_CLK (1U)
#define TISCI_DEV_PLLCTRL0_BUS_PLL_REFCLK_CLK (2U)
#define TISCI_DEV_PLLCTRL0_BUS_PLL_REFCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (3U)
#define TISCI_DEV_PLLCTRL0_BUS_PLL_REFCLK_CLK_PARENT_BOARD_0_HFOSC1_CLK (4U)
#define TISCI_DEV_USB3SS1_BUS_SUSP_CLK (0U)
#define TISCI_DEV_USB3SS1_BUS_PHY2_REFCLK960M_CLK (1U)
#define TISCI_DEV_USB3SS1_BUS_REF_CLK (2U)
#define TISCI_DEV_USB3SS1_BUS_REF_CLK_PARENT_CLOCKMUX_HFOSC_SEL_BUS_OUT0 (3U)
#define TISCI_DEV_USB3SS1_BUS_REF_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK48 (4U)
#define TISCI_DEV_USB3SS1_BUS_HSIC_CLK_CLK (5U)
#define TISCI_DEV_USB3SS1_BUS_BUS_CLK (6U)
#define TISCI_DEV_USB3SS1_BUS_PIPE3_TXB_CLK (7U)
#define TISCI_DEV_USB3SS1_BUS_UTMI_CLK_CLK (8U)
#define TISCI_DEV_USB3SS0_BUS_SUSP_CLK (0U)
#define TISCI_DEV_USB3SS0_BUS_PHY2_REFCLK960M_CLK (1U)
#define TISCI_DEV_USB3SS0_BUS_REF_CLK (2U)
#define TISCI_DEV_USB3SS0_BUS_REF_CLK_PARENT_CLOCKMUX_HFOSC_SEL_BUS_OUT0 (3U)
#define TISCI_DEV_USB3SS0_BUS_REF_CLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK48 (4U)
#define TISCI_DEV_USB3SS0_BUS_HSIC_CLK_CLK (5U)
#define TISCI_DEV_USB3SS0_BUS_BUS_CLK (6U)
#define TISCI_DEV_USB3SS0_BUS_PIPE3_TXB_CLK (7U)
#define TISCI_DEV_USB3SS0_BUS_PIPE3_TXB_CLK_PARENT_WIZ8B2M4VSB_MAIN_0_BUS_LN0_TXCLK (8U)
#define TISCI_DEV_USB3SS0_BUS_PIPE3_TXB_CLK_PARENT_CLOCKMUX_USB0_PIPE3_CLK_SEL_DIV_BUS_WKUP_RCOSC_12P5M_CLK (9U)
#define TISCI_DEV_USB3SS0_BUS_UTMI_CLK_CLK (10U)
#define TISCI_DEV_MCU_MCSPI0_BUS_IO_CLKSPII_CLK (0U)
#define TISCI_DEV_MCU_MCSPI0_BUS_CLKSPIREF_CLK (1U)
#define TISCI_DEV_MCU_MCSPI0_BUS_VBUSP_CLK (2U)
#define TISCI_DEV_MCU_MCSPI0_BUS_IO_CLKSPIO_CLK (3U)
#define TISCI_DEV_MCSPI2_BUS_IO_CLKSPII_CLK (0U)
#define TISCI_DEV_MCSPI2_BUS_CLKSPIREF_CLK (1U)
#define TISCI_DEV_MCSPI2_BUS_VBUSP_CLK (2U)
#define TISCI_DEV_MCSPI2_BUS_IO_CLKSPIO_CLK (3U)
#define TISCI_DEV_MCU_MCSPI2_BUS_CLKSPIREF_CLK (0U)
#define TISCI_DEV_MCU_MCSPI2_BUS_VBUSP_CLK (1U)
#define TISCI_DEV_MCSPI0_BUS_IO_CLKSPII_CLK (0U)
#define TISCI_DEV_MCSPI0_BUS_CLKSPIREF_CLK (1U)
#define TISCI_DEV_MCSPI0_BUS_VBUSP_CLK (2U)
#define TISCI_DEV_MCSPI0_BUS_IO_CLKSPIO_CLK (3U)
#define TISCI_DEV_MCSPI1_BUS_IO_CLKSPII_CLK (0U)
#define TISCI_DEV_MCSPI1_BUS_CLKSPIREF_CLK (1U)
#define TISCI_DEV_MCSPI1_BUS_VBUSP_CLK (2U)
#define TISCI_DEV_MCSPI1_BUS_IO_CLKSPIO_CLK (3U)
#define TISCI_DEV_MCSPI4_BUS_CLKSPIREF_CLK (0U)
#define TISCI_DEV_MCSPI4_BUS_VBUSP_CLK (1U)
#define TISCI_DEV_MCSPI3_BUS_IO_CLKSPII_CLK (0U)
#define TISCI_DEV_MCSPI3_BUS_CLKSPIREF_CLK (1U)
#define TISCI_DEV_MCSPI3_BUS_VBUSP_CLK (2U)
#define TISCI_DEV_MCSPI3_BUS_IO_CLKSPIO_CLK (3U)
#define TISCI_DEV_MCU_MCSPI1_BUS_IO_CLKSPII_CLK (0U)
#define TISCI_DEV_MCU_MCSPI1_BUS_CLKSPIREF_CLK (1U)
#define TISCI_DEV_MCU_MCSPI1_BUS_VBUSP_CLK (2U)
#define TISCI_DEV_MCU_MCSPI1_BUS_IO_CLKSPIO_CLK (3U)
#define TISCI_DEV_DEBUGSS_WRAP0_BUS_JTAG_TCK (0U)
#define TISCI_DEV_DEBUGSS_WRAP0_BUS_ATB_CLK (1U)
#define TISCI_DEV_DEBUGSS_WRAP0_BUS_TREXPT_CLK (2U)
#define TISCI_DEV_DEBUGSS_WRAP0_BUS_CORE_CLK (3U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK (0U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (1U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (2U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_BOARD_0_BUS_MCU_CPTS_RFT_CLK (3U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (4U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (5U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (6U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_WIZ8B2M4VSB_MAIN_0_BUS_LN0_TXCLK (7U)
#define TISCI_DEV_CBASS_INFRA0_BUS_GTC_CLOCK_1_CLK_PARENT_WIZ8B2M4VSB_MAIN_1_BUS_LN0_TXCLK (8U)
#define TISCI_DEV_CBASS_INFRA0_BUS_MAIN_SYSCLK0_2_CLK (9U)
#define TISCI_DEV_CBASS_INFRA0_BUS_MAIN_SYSCLK0_4_CLK (10U)
#define TISCI_DEV_STM0_BUS_CORE_CLK (0U)
#define TISCI_DEV_STM0_BUS_ATB_CLK (1U)
#define TISCI_DEV_STM0_BUS_VBUSP_CLK (2U)
#define TISCI_DEV_MCU_RTI1_BUS_RTI_CLK (0U)
#define TISCI_DEV_MCU_RTI1_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_MCU_RTI1_BUS_RTI_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (2U)
#define TISCI_DEV_MCU_RTI1_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_MCU_RTI1_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (4U)
#define TISCI_DEV_MCU_RTI1_BUS_VBUSP_CLK (5U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK (0U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (2U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (4U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK (5U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP0 (6U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP1 (7U)
#define TISCI_DEV_RTI0_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP2 (8U)
#define TISCI_DEV_RTI0_BUS_VBUSP_CLK (9U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK (0U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (2U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (4U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK (5U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP0 (6U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP1 (7U)
#define TISCI_DEV_RTI3_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP2 (8U)
#define TISCI_DEV_RTI3_BUS_VBUSP_CLK (9U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK (0U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (2U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (4U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK (5U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP0 (6U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP1 (7U)
#define TISCI_DEV_RTI1_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP2 (8U)
#define TISCI_DEV_RTI1_BUS_VBUSP_CLK (9U)
#define TISCI_DEV_MCU_RTI0_BUS_RTI_CLK (0U)
#define TISCI_DEV_MCU_RTI0_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_MCU_RTI0_BUS_RTI_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (2U)
#define TISCI_DEV_MCU_RTI0_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_MCU_RTI0_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (4U)
#define TISCI_DEV_MCU_RTI0_BUS_VBUSP_CLK (5U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK (0U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (1U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (2U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (3U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (4U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK (5U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP0 (6U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP1 (7U)
#define TISCI_DEV_RTI2_BUS_RTI_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP2 (8U)
#define TISCI_DEV_RTI2_BUS_VBUSP_CLK (9U)
#define TISCI_DEV_PSRAMECC0_BUS_CLK_CLK (0U)
#define TISCI_DEV_EFUSE0_BUS_VBUSP_PLL_CLK_CLK (0U)
#define TISCI_DEV_EFUSE0_BUS_EFC1_CTL_FCLK (1U)
#define TISCI_DEV_EFUSE0_BUS_EFC0_CTL_FCLK (2U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK (0U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK (1U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (2U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (3U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (4U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_CLOCKDIVIDER_MCASP_ARM1_PLL_DIV_BUS_OUT0 (5U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (6U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP0 (7U)
#define TISCI_DEV_MCASP0_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP1 (8U)
#define TISCI_DEV_MCASP0_BUS_VBUSP_CLK (9U)
#define TISCI_DEV_MCASP0_BUS_MCASP_AHCLKX_PIN (10U)
#define TISCI_DEV_MCASP0_BUS_MCASP_AHCLKR_PIN (11U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK (0U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK (1U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (2U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (3U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (4U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_CLOCKDIVIDER_MCASP_ARM1_PLL_DIV_BUS_OUT1 (5U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (6U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP0 (7U)
#define TISCI_DEV_MCASP1_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP1 (8U)
#define TISCI_DEV_MCASP1_BUS_VBUSP_CLK (9U)
#define TISCI_DEV_MCASP1_BUS_MCASP_AHCLKX_PIN (10U)
#define TISCI_DEV_MCASP1_BUS_MCASP_AHCLKR_PIN (11U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK (0U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK (1U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (2U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (3U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT2_CLK (4U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_CLOCKDIVIDER_MCASP_ARM1_PLL_DIV_BUS_OUT2 (5U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (6U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP0 (7U)
#define TISCI_DEV_MCASP2_BUS_AUX_CLK_PARENT_BOARD_0_HFOSC1_CLK_DUP1 (8U)
#define TISCI_DEV_MCASP2_BUS_VBUSP_CLK (9U)
#define TISCI_DEV_MCASP2_BUS_MCASP_AHCLKX_PIN (10U)
#define TISCI_DEV_MCASP2_BUS_MCASP_AHCLKR_PIN (11U)
#define TISCI_DEV_MCU_ARMSS0_BUS_INTERFACE_CLK (0U)
#define TISCI_DEV_MCU_ARMSS0_CPU0_BUS_INTERFACE_CLK (0U)
#define TISCI_DEV_MCU_ARMSS0_CPU0_BUS_INTERFACE_PHASE (1U)
#define TISCI_DEV_MCU_ARMSS0_CPU0_BUS_INTERFACE_PHASE_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (2U)
#define TISCI_DEV_MCU_ARMSS0_CPU0_BUS_CPU_CLK (3U)
#define TISCI_DEV_MCU_ARMSS0_CPU0_BUS_CPU_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK (4U)
#define TISCI_DEV_MCU_ARMSS0_CPU0_BUS_CPU_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (5U)
#define TISCI_DEV_MCU_ARMSS0_CPU1_BUS_INTERFACE_CLK (0U)
#define TISCI_DEV_MCU_ARMSS0_CPU1_BUS_INTERFACE_PHASE (1U)
#define TISCI_DEV_MCU_ARMSS0_CPU1_BUS_INTERFACE_PHASE_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (2U)
#define TISCI_DEV_MCU_ARMSS0_CPU1_BUS_CPU_CLK (3U)
#define TISCI_DEV_MCU_ARMSS0_CPU1_BUS_CPU_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK (4U)
#define TISCI_DEV_MCU_ARMSS0_CPU1_BUS_CPU_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK2 (5U)
#define TISCI_DEV_CCDEBUGSS0_BUS_ATB1_CLK (0U)
#define TISCI_DEV_CCDEBUGSS0_BUS_ATB0_CLK (1U)
#define TISCI_DEV_CCDEBUGSS0_BUS_SYS_CLK (2U)
#define TISCI_DEV_CCDEBUGSS0_BUS_DBG_CLK (3U)
#define TISCI_DEV_CCDEBUGSS0_BUS_CFG_CLK (4U)
#define TISCI_DEV_WKUP_CTRL_MMR0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_MCU_CBASS_FW0_BUS_MCU_SYSCLK0_4_CLK (0U)
#define TISCI_DEV_MCU_CBASS_FW0_BUS_MCU_SYSCLK0_2_CLK (1U)
#define TISCI_DEV_MCU_CPSW0_BUS_GMII1_MR_CLK (0U)
#define TISCI_DEV_MCU_CPSW0_BUS_RGMII_MHZ_250_CLK (1U)
#define TISCI_DEV_MCU_CPSW0_BUS_CPTS_RFT_CLK (2U)
#define TISCI_DEV_MCU_CPSW0_BUS_GMII1_MT_CLK (3U)
#define TISCI_DEV_MCU_CPSW0_BUS_RGMII_MHZ_5_CLK (4U)
#define TISCI_DEV_MCU_CPSW0_BUS_RGMII_MHZ_50_CLK (5U)
#define TISCI_DEV_MCU_CPSW0_BUS_RMII_MHZ_50_CLK (6U)
#define TISCI_DEV_MCU_CPSW0_BUS_RMII_MHZ_50_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK5 (7U)
#define TISCI_DEV_MCU_CPSW0_BUS_RMII_MHZ_50_CLK_PARENT_BOARD_0_BUS_MCU_RMII1_REFCLK (8U)
#define TISCI_DEV_MCU_CPSW0_BUS_GMII_RFT_CLK (9U)
#define TISCI_DEV_MCU_CPSW0_BUS_CPPI_CLK_CLK (10U)
#define TISCI_DEV_MCU_CPSW0_BUS_CPTS_GENF0_0 (11U)
#define TISCI_DEV_SERDES0_BUS_IP3_LN0_TXRCLK (0U)
#define TISCI_DEV_SERDES0_BUS_REFCLKPP (1U)
#define TISCI_DEV_SERDES0_BUS_CLK (2U)
#define TISCI_DEV_SERDES0_BUS_IP2_LN0_TXRCLK (3U)
#define TISCI_DEV_SERDES0_BUS_LI_REFCLK (4U)
#define TISCI_DEV_SERDES0_BUS_LI_REFCLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (5U)
#define TISCI_DEV_SERDES0_BUS_LI_REFCLK_PARENT_BOARD_0_HFOSC1_CLK (6U)
#define TISCI_DEV_SERDES0_BUS_LI_REFCLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_CLKOUT_CLK (7U)
#define TISCI_DEV_SERDES0_BUS_LI_REFCLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT4_CLK (8U)
#define TISCI_DEV_SERDES0_BUS_REFCLKPN (9U)
#define TISCI_DEV_SERDES0_BUS_LN0_TXCLK (10U)
#define TISCI_DEV_SERDES0_BUS_LN0_RXCLK (11U)
#define TISCI_DEV_SERDES1_BUS_IP3_LN0_TXRCLK (0U)
#define TISCI_DEV_SERDES1_BUS_REFCLKPP (1U)
#define TISCI_DEV_SERDES1_BUS_CLK (2U)
#define TISCI_DEV_SERDES1_BUS_IP1_LN0_TXRCLK (3U)
#define TISCI_DEV_SERDES1_BUS_IP2_LN0_TXRCLK (4U)
#define TISCI_DEV_SERDES1_BUS_RI_REFCLK (5U)
#define TISCI_DEV_SERDES1_BUS_RI_REFCLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (6U)
#define TISCI_DEV_SERDES1_BUS_RI_REFCLK_PARENT_BOARD_0_HFOSC1_CLK (7U)
#define TISCI_DEV_SERDES1_BUS_RI_REFCLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_CLKOUT_CLK (8U)
#define TISCI_DEV_SERDES1_BUS_RI_REFCLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT4_CLK (9U)
#define TISCI_DEV_SERDES1_BUS_REFCLKPN (10U)
#define TISCI_DEV_SERDES1_BUS_LN0_TXCLK (11U)
#define TISCI_DEV_SERDES1_BUS_LN0_RXCLK (12U)
#define TISCI_DEV_OLDI_TX_CORE_MAIN_0_BUS_OLDI_PLL_CLK (0U)
#define TISCI_DEV_OLDI_TX_CORE_MAIN_0_BUS_OLDI_0_FWD_P_CLK_BUS_IN1_CLOCKDIVIDER_DSS_BUS_OUT0 (1U)
#define TISCI_DEV_OLDI_TX_CORE_MAIN_0_BUS_OLDI_0_FWD_P_CLK_BUS_IN0_CLOCKDIVIDER_DSS_BUS_OUT0 (2U)
#define TISCI_DEV_MCU_ADC1_BUS_VBUS_CLK (0U)
#define TISCI_DEV_MCU_ADC1_BUS_SYS_CLK (1U)
#define TISCI_DEV_MCU_ADC1_BUS_ADC_CLK (2U)
#define TISCI_DEV_MCU_ADC1_BUS_ADC_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (3U)
#define TISCI_DEV_MCU_ADC1_BUS_ADC_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT1_CLK (4U)
#define TISCI_DEV_MCU_ADC1_BUS_ADC_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT3_CLK (5U)
#define TISCI_DEV_MCU_ADC1_BUS_ADC_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_MCU_ADC0_BUS_VBUS_CLK (0U)
#define TISCI_DEV_MCU_ADC0_BUS_SYS_CLK (1U)
#define TISCI_DEV_MCU_ADC0_BUS_ADC_CLK (2U)
#define TISCI_DEV_MCU_ADC0_BUS_ADC_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (3U)
#define TISCI_DEV_MCU_ADC0_BUS_ADC_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT1_CLK (4U)
#define TISCI_DEV_MCU_ADC0_BUS_ADC_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT3_CLK (5U)
#define TISCI_DEV_MCU_ADC0_BUS_ADC_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_WKUP_DMSC0_BUS_FUNC_32K_RT_CLK (0U)
#define TISCI_DEV_WKUP_DMSC0_BUS_FUNC_MOSC_CLK (1U)
#define TISCI_DEV_WKUP_DMSC0_BUS_VBUS_CLK (2U)
#define TISCI_DEV_WKUP_DMSC0_BUS_FUNC_32K_RC_CLK (3U)
#define TISCI_DEV_WKUP_DMSC0_BUS_SEC_EFC_FCLK (4U)
#define TISCI_DEV_WKUP_DMSC0_BUS_DAP_CLK (5U)
#define TISCI_DEV_WKUP_DMSC0_BUS_EXT_CLK (6U)
#define TISCI_DEV_MCU_PLL_MMR0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_MCU_SEC_MMR0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_GIC0_BUS_VCLK_CLK (0U)
#define TISCI_DEV_MCU_DEBUGSS0_BUS_ATB1_CLK (0U)
#define TISCI_DEV_MCU_DEBUGSS0_BUS_ATB0_CLK (1U)
#define TISCI_DEV_MCU_DEBUGSS0_BUS_SYS_CLK (2U)
#define TISCI_DEV_MCU_DEBUGSS0_BUS_CFG_CLK (3U)
#define TISCI_DEV_MCU_DEBUGSS0_BUS_ATB2_CLK (4U)
#define TISCI_DEV_MCU_DEBUGSS0_BUS_DBG_CLK (5U)
#define TISCI_DEV_MCU_DEBUGSS0_BUS_ATB3_CLK (6U)
#define TISCI_DEV_EQEP0_BUS_VBUS_CLK (0U)
#define TISCI_DEV_EQEP2_BUS_VBUS_CLK (0U)
#define TISCI_DEV_EQEP1_BUS_VBUS_CLK (0U)
#define TISCI_DEV_WKUP_GPIO0_BUS_MMR_CLK (0U)
#define TISCI_DEV_WKUP_GPIO0_BUS_MMR_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK4 (1U)
#define TISCI_DEV_WKUP_GPIO0_BUS_MMR_CLK_PARENT_K3_PLL_CTRL_WRAP_WKUP_0_BUS_CHIP_DIV1_CLK_CLK4_DUP0 (2U)
#define TISCI_DEV_WKUP_GPIO0_BUS_MMR_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (3U)
#define TISCI_DEV_WKUP_GPIO0_BUS_MMR_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (4U)
#define TISCI_DEV_GPIO0_BUS_MMR_CLK (0U)
#define TISCI_DEV_GPIO1_BUS_MMR_CLK (0U)
#define TISCI_DEV_COMPUTE_CLUSTER_MSMC0_BUS_TB_SOC_VBUSP_DMSC_CLK (0U)
#define TISCI_DEV_COMPUTE_CLUSTER_MSMC0_BUS_TB_SOC_VBUSP_DBG_CLK (1U)
#define TISCI_DEV_COMPUTE_CLUSTER_MSMC0_BUS_MSMC_CLK (2U)
#define TISCI_DEV_COMPUTE_CLUSTER_MSMC0_BUS_TB_SOC_VBUSP_CFG_CLK (3U)
#define TISCI_DEV_COMPUTE_CLUSTER_MSMC0_BUS_TB_SOC_GIC_CLK (4U)
#define TISCI_DEV_COMPUTE_CLUSTER_CPAC0_BUS_ARM0_CLK (0U)
#define TISCI_DEV_COMPUTE_CLUSTER_CPAC1_BUS_ARM1_CLK (0U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_0_BUS_ARM0_CLK (0U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_1_BUS_ARM0_CLK (0U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_2_BUS_ARM1_CLK (0U)
#define TISCI_DEV_COMPUTE_CLUSTER_A53_3_BUS_ARM1_CLK (0U)
#define TISCI_DEV_WKUP_CBASS0_BUS_WKUP_MCU_PLL_OUT_2_CLK (0U)
#define TISCI_DEV_WKUP_CBASS0_BUS_WKUP_MCU_PLL_OUT_4_CLK (1U)
#define TISCI_DEV_MCU_ROM0_BUS_CLK_CLK (0U)
#define TISCI_DEV_K3_ARM_ATB_FUNNEL_3_32_MCU_0_BUS_DBG_CLK (0U)
#define TISCI_DEV_ESM0_BUS_CLK (0U)
#define TISCI_DEV_PRU_ICSSG2_BUS_RGMII_MHZ_5_CLK (0U)
#define TISCI_DEV_PRU_ICSSG2_BUS_WIZ1_TX_SLV_CLK (1U)
#define TISCI_DEV_PRU_ICSSG2_BUS_WIZ0_RX_SLV_CLK (2U)
#define TISCI_DEV_PRU_ICSSG2_BUS_VCLK_CLK (3U)
#define TISCI_DEV_PRU_ICSSG2_BUS_UCLK_CLK (4U)
#define TISCI_DEV_PRU_ICSSG2_BUS_WIZ0_TX_SLV_CLK (5U)
#define TISCI_DEV_PRU_ICSSG2_BUS_WIZ1_RX_SLV_CLK (6U)
#define TISCI_DEV_PRU_ICSSG2_BUS_PR1_RGMII1_RXC_I (7U)
#define TISCI_DEV_PRU_ICSSG2_BUS_RGMII_MHZ_250_CLK (8U)
#define TISCI_DEV_PRU_ICSSG2_BUS_RGMII_MHZ_50_CLK (9U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK (10U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (11U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (12U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_BOARD_0_BUS_MCU_CPTS_RFT_CLK (13U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (14U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (15U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (16U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_WIZ8B2M4VSB_MAIN_0_BUS_LN0_TXCLK (17U)
#define TISCI_DEV_PRU_ICSSG2_BUS_IEP_CLK_PARENT_WIZ8B2M4VSB_MAIN_1_BUS_LN0_TXCLK (18U)
#define TISCI_DEV_PRU_ICSSG2_BUS_CORE_CLK (19U)
#define TISCI_DEV_PRU_ICSSG2_BUS_CORE_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT1_CLK (20U)
#define TISCI_DEV_PRU_ICSSG2_BUS_CORE_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (21U)
#define TISCI_DEV_PRU_ICSSG2_BUS_PR1_RGMII0_RXC_I (22U)
#define TISCI_DEV_PRU_ICSSG2_BUS_PR1_RGMII1_TXC_I (23U)
#define TISCI_DEV_PRU_ICSSG2_BUS_PR1_RGMII0_TXC_I (24U)
#define TISCI_DEV_PRU_ICSSG2_BUS_WIZ1_TX_MST_CLK (25U)
#define TISCI_DEV_PRU_ICSSG2_BUS_WIZ0_TX_MST_CLK (26U)
#define TISCI_DEV_PRU_ICSSG0_BUS_RGMII_MHZ_5_CLK (0U)
#define TISCI_DEV_PRU_ICSSG0_BUS_WIZ1_TX_SLV_CLK (1U)
#define TISCI_DEV_PRU_ICSSG0_BUS_WIZ0_RX_SLV_CLK (2U)
#define TISCI_DEV_PRU_ICSSG0_BUS_VCLK_CLK (3U)
#define TISCI_DEV_PRU_ICSSG0_BUS_UCLK_CLK (4U)
#define TISCI_DEV_PRU_ICSSG0_BUS_WIZ0_TX_SLV_CLK (5U)
#define TISCI_DEV_PRU_ICSSG0_BUS_WIZ1_RX_SLV_CLK (6U)
#define TISCI_DEV_PRU_ICSSG0_BUS_PR1_RGMII1_RXC_I (7U)
#define TISCI_DEV_PRU_ICSSG0_BUS_RGMII_MHZ_250_CLK (8U)
#define TISCI_DEV_PRU_ICSSG0_BUS_RGMII_MHZ_50_CLK (9U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK (10U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (11U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (12U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_BOARD_0_BUS_MCU_CPTS_RFT_CLK (13U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (14U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (15U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (16U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_WIZ8B2M4VSB_MAIN_0_BUS_LN0_TXCLK (17U)
#define TISCI_DEV_PRU_ICSSG0_BUS_IEP_CLK_PARENT_WIZ8B2M4VSB_MAIN_1_BUS_LN0_TXCLK (18U)
#define TISCI_DEV_PRU_ICSSG0_BUS_CORE_CLK (19U)
#define TISCI_DEV_PRU_ICSSG0_BUS_CORE_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT1_CLK (20U)
#define TISCI_DEV_PRU_ICSSG0_BUS_CORE_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (21U)
#define TISCI_DEV_PRU_ICSSG0_BUS_PR1_RGMII0_RXC_I (22U)
#define TISCI_DEV_PRU_ICSSG0_BUS_PR1_RGMII1_TXC_I (23U)
#define TISCI_DEV_PRU_ICSSG0_BUS_PR1_RGMII0_TXC_I (24U)
#define TISCI_DEV_PRU_ICSSG1_BUS_RGMII_MHZ_5_CLK (0U)
#define TISCI_DEV_PRU_ICSSG1_BUS_WIZ1_TX_SLV_CLK (1U)
#define TISCI_DEV_PRU_ICSSG1_BUS_WIZ0_RX_SLV_CLK (2U)
#define TISCI_DEV_PRU_ICSSG1_BUS_VCLK_CLK (3U)
#define TISCI_DEV_PRU_ICSSG1_BUS_UCLK_CLK (4U)
#define TISCI_DEV_PRU_ICSSG1_BUS_WIZ0_TX_SLV_CLK (5U)
#define TISCI_DEV_PRU_ICSSG1_BUS_WIZ1_RX_SLV_CLK (6U)
#define TISCI_DEV_PRU_ICSSG1_BUS_PR1_RGMII1_RXC_I (7U)
#define TISCI_DEV_PRU_ICSSG1_BUS_RGMII_MHZ_250_CLK (8U)
#define TISCI_DEV_PRU_ICSSG1_BUS_RGMII_MHZ_50_CLK (9U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK (10U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (11U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (12U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_BOARD_0_BUS_MCU_CPTS_RFT_CLK (13U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (14U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (15U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (16U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_WIZ8B2M4VSB_MAIN_0_BUS_LN0_TXCLK (17U)
#define TISCI_DEV_PRU_ICSSG1_BUS_IEP_CLK_PARENT_WIZ8B2M4VSB_MAIN_1_BUS_LN0_TXCLK (18U)
#define TISCI_DEV_PRU_ICSSG1_BUS_CORE_CLK (19U)
#define TISCI_DEV_PRU_ICSSG1_BUS_CORE_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_HSDIV_CLKOUT1_CLK (20U)
#define TISCI_DEV_PRU_ICSSG1_BUS_CORE_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (21U)
#define TISCI_DEV_PRU_ICSSG1_BUS_PR1_RGMII0_RXC_I (22U)
#define TISCI_DEV_PRU_ICSSG1_BUS_PR1_RGMII1_TXC_I (23U)
#define TISCI_DEV_PRU_ICSSG1_BUS_PR1_RGMII0_TXC_I (24U)
#define TISCI_DEV_MCU_ESM0_BUS_CLK (0U)
#define TISCI_DEV_ECAP0_BUS_VBUS_CLK (0U)
#define TISCI_DEV_WKUP_ESM0_BUS_CLK (0U)
#define TISCI_DEV_MCU_EFUSE0_BUS_VBUSP_CLK_CLK (0U)
#define TISCI_DEV_MCU_EFUSE0_BUS_EFC3_CTL_FCLK (1U)
#define TISCI_DEV_MCU_EFUSE0_BUS_EFC0_CTL_FCLK (2U)
#define TISCI_DEV_MCU_EFUSE0_BUS_EFC1_CTL_FCLK (3U)
#define TISCI_DEV_MCU_EFUSE0_BUS_EFC2_CTL_FCLK (4U)
#define TISCI_DEV_MCU_CTRL_MMR0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_PSC0_BUS_CLK (0U)
#define TISCI_DEV_PSC0_BUS_SLOW_CLK (1U)
#define TISCI_DEV_CTRL_MMR0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_MCU_MCAN0_BUS_MCANSS_CCLK_CLK (0U)
#define TISCI_DEV_MCU_MCAN0_BUS_MCANSS_CCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT2_CLK (1U)
#define TISCI_DEV_MCU_MCAN0_BUS_MCANSS_CCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT2_CLK2 (2U)
#define TISCI_DEV_MCU_MCAN0_BUS_MCANSS_CCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT3_CLK2 (3U)
#define TISCI_DEV_MCU_MCAN0_BUS_MCANSS_CCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (4U)
#define TISCI_DEV_MCU_MCAN0_BUS_MCANSS_HCLK_CLK (5U)
#define TISCI_DEV_MCU_MCAN1_BUS_MCANSS_CCLK_CLK (0U)
#define TISCI_DEV_MCU_MCAN1_BUS_MCANSS_CCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT2_CLK (1U)
#define TISCI_DEV_MCU_MCAN1_BUS_MCANSS_CCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT2_CLK2 (2U)
#define TISCI_DEV_MCU_MCAN1_BUS_MCANSS_CCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT3_CLK2 (3U)
#define TISCI_DEV_MCU_MCAN1_BUS_MCANSS_CCLK_CLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (4U)
#define TISCI_DEV_MCU_MCAN1_BUS_MCANSS_HCLK_CLK (5U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_VBUS_CLK (0U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_BYP_4X_CLK (1U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_CTL_CLK_BUS_IN1_ADPLLLJM_WRAP_MAIN_3_BUS_CLKOUT_CLK (2U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_TCLK (3U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_PHY_CTL_CLK_BUS_IN1_ADPLLLJM_WRAP_MAIN_3_BUS_CLKOUT_CLK (4U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_PHY_CTL_CLK_BUS_IN0_ADPLLLJM_WRAP_MAIN_3_BUS_CLKOUT_CLK (5U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_CFG_CLK (6U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_CTL_CLK_BUS_IN0_ADPLLLJM_WRAP_MAIN_3_BUS_CLKOUT_CLK (7U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_BYP_CLK_BUS_IN1_ADPLLLJM_WRAP_MAIN_3_BUS_CLKOUT_CLK (8U)
#define TISCI_DEV_DDRSS0_BUS_DDRSS_BYP_CLK_BUS_IN0_ADPLLLJM_WRAP_MAIN_3_BUS_CLKOUT_CLK (9U)
#define TISCI_DEV_MCU_NAVSS0_BUS_UDMASS_VD2CLK (0U)
#define TISCI_DEV_MCU_NAVSS0_BUS_CPSW0CLK (1U)
#define TISCI_DEV_MCU_NAVSS0_BUS_MODSS_VD2CLK (2U)
#define TISCI_DEV_MCU_NAVSS0_BUS_PDMA_MCU1CLK (3U)
#define TISCI_DEV_MCU_FSS0_BUS_HPB_CLKX1_INV_CLK (0U)
#define TISCI_DEV_MCU_FSS0_BUS_VBUS_CLK (1U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_ICLK_CLK (2U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_ICLK_CLK_PARENT_BOARD_0_BUS_MCU_OSPI1DQS (3U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_ICLK_CLK_PARENT_FSS_MCU_0_BUS_OSPI1_OCLK_CLK (4U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_RCLK_CLK (5U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_RCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT4_CLK (6U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_RCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT4_CLK (7U)
#define TISCI_DEV_MCU_FSS0_BUS_HPB_CLKX2_CLK (8U)
#define TISCI_DEV_MCU_FSS0_BUS_HPB_CLKX2_INV_CLK (9U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_ICLK_CLK (10U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_ICLK_CLK_PARENT_BOARD_0_BUS_MCU_OSPI0DQS (11U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_ICLK_CLK_PARENT_FSS_MCU_0_BUS_OSPI0_OCLK_CLK (12U)
#define TISCI_DEV_MCU_FSS0_BUS_HPB_CLKX1_CLK (13U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_DQS_CLK (14U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_DQS_CLK (15U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_RCLK_CLK (16U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_RCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT4_CLK (17U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_RCLK_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT4_CLK (18U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI0_OCLK_CLK (19U)
#define TISCI_DEV_MCU_FSS0_BUS_OSPI1_OCLK_CLK (20U)
#define TISCI_DEV_DFTSS0_BUS_VBUSP_CLK_CLK (0U)
#define TISCI_DEV_WKUP_GPIOMUX_INTRTR0_BUS_INTR_CLK (0U)
#define TISCI_DEV_GPIOMUX_INTRTR0_BUS_INTR_CLK (0U)
#define TISCI_DEV_MAIN2MCU_LVL_INTRTR0_BUS_INTR_CLK (0U)
#define TISCI_DEV_MAIN2MCU_PLS_INTRTR0_BUS_INTR_CLK (0U)
#define TISCI_DEV_GPU0_BUS_MEM_CLK (0U)
#define TISCI_DEV_GPU0_BUS_HYD_CORE_CLK (1U)
#define TISCI_DEV_GPU0_BUS_SGX_CORE_CLK (2U)
#define TISCI_DEV_GPU0_BUS_SYS_CLK (3U)
#define TISCI_DEV_PDMA_DEBUG0_BUS_VCLK (0U)
#define TISCI_DEV_PDMA0_BUS_VCLK (0U)
#define TISCI_DEV_PDMA1_BUS_VCLK (0U)
#define TISCI_DEV_MCU_PDMA0_BUS_VCLK (0U)
#define TISCI_DEV_MCU_PDMA1_BUS_VCLK (0U)
#define TISCI_DEV_MCU_MSRAM0_BUS_CCLK_CLK (0U)
#define TISCI_DEV_MCU_MSRAM0_BUS_VCLK_CLK (1U)
#define TISCI_DEV_CMPEVENT_INTRTR0_BUS_INTR_CLK (0U)
#define TISCI_DEV_DEBUGSUSPENDRTR0_BUS_INTR_CLK (0U)
#define TISCI_DEV_TIMESYNC_INTRTR0_BUS_INTR_CLK (0U)
#define TISCI_DEV_CBASS_DEBUG0_BUS_MAIN_SYSCLK0_2_CLK (0U)
#define TISCI_DEV_CBASS_DEBUG0_BUS_MAIN_SYSCLK0_4_CLK (1U)
#define TISCI_DEV_CBASS_FW0_BUS_MAIN_SYSCLK0_2_CLK (0U)
#define TISCI_DEV_CBASS_FW0_BUS_MAIN_SYSCLK0_4_CLK (1U)
#define TISCI_DEV_MCU_CBASS_DEBUG0_BUS_MCU_SYSCLK0_2_CLK (0U)
#define TISCI_DEV_WKUP_CBASS_FW0_BUS_WKUP_MCU_PLL_OUT_2_CLK (0U)
#define TISCI_DEV_PCIE0_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN5_BOARD_0_BUS_EXT_REFCLK1 (0U)
#define TISCI_DEV_PCIE0_BUS_PCIE_CBA_CLK (1U)
#define TISCI_DEV_PCIE0_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN3_BOARD_0_BUS_CPTS_RFT_CLK (2U)
#define TISCI_DEV_PCIE0_BUS_PCIE_TXI0_CLK (3U)
#define TISCI_DEV_PCIE0_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN1_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (4U)
#define TISCI_DEV_PCIE0_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN0_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_PCIE0_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN4_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_PCIE0_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN2_BOARD_0_BUS_MCU_CPTS_RFT_CLK (7U)
#define TISCI_DEV_PCIE0_BUS_PCIE_TXR1_CLK (8U)
#define TISCI_DEV_PCIE0_BUS_PCIE_TXR0_CLK (9U)
#define TISCI_DEV_PCIE1_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN5_BOARD_0_BUS_EXT_REFCLK1 (0U)
#define TISCI_DEV_PCIE1_BUS_PCIE_CBA_CLK (1U)
#define TISCI_DEV_PCIE1_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN3_BOARD_0_BUS_CPTS_RFT_CLK (2U)
#define TISCI_DEV_PCIE1_BUS_PCIE_TXI0_CLK (3U)
#define TISCI_DEV_PCIE1_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN1_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (4U)
#define TISCI_DEV_PCIE1_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN0_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (5U)
#define TISCI_DEV_PCIE1_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN4_BOARD_0_BUS_MCU_EXT_REFCLK0 (6U)
#define TISCI_DEV_PCIE1_BUS_PCIE_CPTS_RCLK_CLK_BUS_IN2_BOARD_0_BUS_MCU_CPTS_RFT_CLK (7U)
#define TISCI_DEV_PCIE1_BUS_PCIE_TXR0_CLK (8U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK (0U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (1U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT3_CLK (2U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_BOARD_0_BUS_MCU_CPTS_RFT_CLK (3U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_BOARD_0_BUS_CPTS_RFT_CLK (4U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_BOARD_0_BUS_MCU_EXT_REFCLK0 (5U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_BOARD_0_BUS_EXT_REFCLK1 (6U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_WIZ8B2M4VSB_MAIN_0_BUS_LN0_TXCLK (7U)
#define TISCI_DEV_GTC0_BUS_VBUSP_CLK_PARENT_WIZ8B2M4VSB_MAIN_1_BUS_LN0_TXCLK (8U)
#define TISCI_DEV_WKUP_VTM0_BUS_FIX_REF_CLK (0U)
#define TISCI_DEV_WKUP_VTM0_BUS_VBUSP_CLK (1U)
#define TISCI_DEV_MMCSD0_BUS_EMMCSDSS_VBUS_CLK (0U)
#define TISCI_DEV_MMCSD0_BUS_EMMCSDSS_XIN_CLK (1U)
#define TISCI_DEV_MCU_ECC_AGGR0_BUS_AGGR_CLK (0U)
#define TISCI_DEV_ECC_AGGR1_BUS_AGGR_CLK (0U)
#define TISCI_DEV_ECC_AGGR2_BUS_AGGR_CLK (0U)
#define TISCI_DEV_MCU_ECC_AGGR1_BUS_AGGR_CLK (0U)
#define TISCI_DEV_WKUP_ECC_AGGR0_BUS_AGGR_CLK (0U)
#define TISCI_DEV_ECC_AGGR0_BUS_AGGR_CLK (0U)
#define TISCI_DEV_MCU_PSRAM0_BUS_CLK_CLK (0U)
#define TISCI_DEV_GS80PRG_SOC_WRAP_WKUP_0_BUS_OSC_CLK (0U)
#define TISCI_DEV_GS80PRG_SOC_WRAP_WKUP_0_BUS_CLK (1U)
#define TISCI_DEV_GS80PRG_MCU_WRAP_WKUP_0_BUS_OSC_CLK (0U)
#define TISCI_DEV_GS80PRG_MCU_WRAP_WKUP_0_BUS_CLK (1U)
#define TISCI_DEV_MCU_CBASS0_BUS_MCU_SYSCLK0_8_CLK (0U)
#define TISCI_DEV_MCU_CBASS0_BUS_MCU_SYSCLK0_4_CLK (1U)
#define TISCI_DEV_MCU_CBASS0_BUS_MCU_SYSCLK0_2_CLK (2U)
#define TISCI_DEV_MX_EFUSE_MAIN_CHAIN_MAIN_0_BUS_UNDEFINEDCHAIN1_FCLK (0U)
#define TISCI_DEV_MX_EFUSE_MAIN_CHAIN_MAIN_0_BUS_UNDEFINEDCHAIN0_FCLK (1U)
#define TISCI_DEV_MX_EFUSE_MCU_CHAIN_MCU_0_BUS_UNDEFINEDCHAIN1_FCLK (0U)
#define TISCI_DEV_MX_EFUSE_MCU_CHAIN_MCU_0_BUS_UNDEFINEDCHAIN0_FCLK (1U)
#define TISCI_DEV_MX_EFUSE_MCU_CHAIN_MCU_0_BUS_UNDEFINEDCHAIN2_FCLK (2U)
#define TISCI_DEV_BOARD0_BUS_SCL3 (0U)
#define TISCI_DEV_BOARD0_BUS_SCL2 (1U)
#define TISCI_DEV_BOARD0_BUS_SCL1 (2U)
#define TISCI_DEV_BOARD0_BUS_SCL0 (3U)
#define TISCI_DEV_BOARD0_BUS_PRG2_RGMII2_TCLK (4U)
#define TISCI_DEV_BOARD0_BUS_MCU_OSPI1CLK (5U)
#define TISCI_DEV_BOARD0_BUS_PRG1_RGMII1_TCLK (6U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1P (7U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1P_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (8U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1P_PARENT_BOARD_0_HFOSC1_CLK (9U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1P_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_CLKOUT_CLK (10U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1P_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT4_CLK (11U)
#define TISCI_DEV_BOARD0_BUS_MCU_OSPI1LBCLKO (12U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK (13U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_12P5M_CLK (14U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (15U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_CLKOUT_CLK (16U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_CLKOUT_CLK_DUP0 (17U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT1_CLK (18U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT2_CLK (19U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT3_CLK (20U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_0_BUS_HSDIV_CLKOUT4_CLK (21U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK (22U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_RCOSC_32K_CLK (23U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT1_CLK (24U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT2_CLK (25U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT3_CLK (26U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_HSDIV_CLKOUT4_CLK (27U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK_DUP0 (28U)
#define TISCI_DEV_BOARD0_BUS_MCU_OBSCLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (29U)
#define TISCI_DEV_BOARD0_BUS_PRG2_RGMII1_TCLK (30U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1M (31U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1M_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (32U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1M_PARENT_BOARD_0_HFOSC1_CLK (33U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1M_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_CLKOUT_CLK (34U)
#define TISCI_DEV_BOARD0_BUS_REFCLK1M_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT4_CLK (35U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK (36U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_BOARD_0_HFOSC1_CLK (37U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (38U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_CLKOUT_CLK (39U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLLJM_WRAP_MAIN_1_BUS_CLKOUT_CLK (40U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_GLUELOGIC_LFOSC_CLK_BUS_OUT (41U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_2_BUS_CLKOUT_CLK (42U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLLJM_WRAP_MAIN_4_BUS_CLKOUT_CLK (43U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLM_WRAP_MAIN_6_BUS_CLKOUT_CLK (44U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLLJM_WRAP_MAIN_3_BUS_CLKOUT_CLK (45U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK (46U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT1_CLK (47U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_ADPLLM_WRAP_MAIN_7_BUS_CLKOUT_CLK (48U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF2_0 (49U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF3_0 (50U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF4_0 (51U)
#define TISCI_DEV_BOARD0_BUS_OBSCLK_PARENT_NAVSS256L_MAIN_0_BUS_CPTS0_GENF5_0 (52U)
#define TISCI_DEV_BOARD0_BUS_PRG0_RGMII1_TCLK (53U)
#define TISCI_DEV_BOARD0_BUS_MCU_OSPI0CLK (54U)
#define TISCI_DEV_BOARD0_BUS_DSS0PCLK (55U)
#define TISCI_DEV_BOARD0_BUS_PRG0_RGMII2_TCLK (56U)
#define TISCI_DEV_BOARD0_BUS_WKUP_SCL0 (57U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0P (58U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0P_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (59U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0P_PARENT_BOARD_0_HFOSC1_CLK (60U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0P_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_CLKOUT_CLK (61U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0P_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT4_CLK (62U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0M (63U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0M_PARENT_MX_WAKEUP_GS80_WKUP_0_BUS_WKUP_OSC0_CLK (64U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0M_PARENT_BOARD_0_HFOSC1_CLK (65U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0M_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_CLKOUT_CLK (66U)
#define TISCI_DEV_BOARD0_BUS_REFCLK0M_PARENT_ADPLLLJM_HSDIV_WRAP_MAIN_0_BUS_HSDIV_CLKOUT4_CLK (67U)
#define TISCI_DEV_BOARD0_BUS_MCU_OSPI0LBCLKO (68U)
#define TISCI_DEV_BOARD0_BUS_MCU_CLKOUT (69U)
#define TISCI_DEV_BOARD0_BUS_MCU_CLKOUT_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK5 (70U)
#define TISCI_DEV_BOARD0_BUS_MCU_CLKOUT_PARENT_ADPLLM_HSDIV_WRAP_MCU_1_BUS_CLKOUT_CLK10 (71U)
#define TISCI_DEV_BOARD0_BUS_MCU_SCL0 (72U)
#define TISCI_DEV_BOARD0_BUS_SYSCLKOUT (73U)
#define TISCI_DEV_BOARD0_BUS_MCU_SYSCLKOUT (74U)
#define TISCI_DEV_BOARD0_BUS_PRG1_RGMII1_RCLK (75U)
#define TISCI_DEV_BOARD0_BUS_PRG1_RGMII2_RCLK (76U)
#define TISCI_DEV_BOARD0_BUS_GPMCCLK (77U)
#define TISCI_DEV_BOARD0_BUS_MCASP2AHCLKX (78U)
#define TISCI_DEV_BOARD0_BUS_MCASP2AHCLKR (79U)
#define TISCI_DEV_BOARD0_BUS_PRG2_RGMII2_RCLK (80U)
#define TISCI_DEV_BOARD0_BUS_CPTS_RFT_CLK (81U)
#define TISCI_DEV_BOARD0_BUS_MCASP0ACLKR (82U)
#define TISCI_DEV_BOARD0_BUS_MCASP0ACLKX (83U)
#define TISCI_DEV_BOARD0_BUS_EXT_REFCLK1 (84U)
#define TISCI_DEV_BOARD0_BUS_PRG0_RGMII2_RCLK (85U)
#define TISCI_DEV_BOARD0_BUS_MCU_OSPI0DQS (86U)
#define TISCI_DEV_BOARD0_BUS_USB0REFCLKP (87U)
#define TISCI_DEV_BOARD0_BUS_DSS0EXTPCLKIN (88U)
#define TISCI_DEV_BOARD0_BUS_SPI1CLK (89U)
#define TISCI_DEV_BOARD0_BUS_MCASP2ACLKR (90U)
#define TISCI_DEV_BOARD0_BUS_MCASP1ACLKX (91U)
#define TISCI_DEV_BOARD0_BUS_MCASP1ACLKR (92U)
#define TISCI_DEV_BOARD0_BUS_MCASP2ACLKX (93U)
#define TISCI_DEV_BOARD0_BUS_MCU_RMII1_REFCLK (94U)
#define TISCI_DEV_BOARD0_BUS_MCU_CPTS_RFT_CLK (95U)
#define TISCI_DEV_BOARD0_BUS_MCU_RGMII1_TCLK (96U)
#define TISCI_DEV_BOARD0_BUS_MCU_SPI0CLK (97U)
#define TISCI_DEV_BOARD0_BUS_MCU_SPI1CLK (98U)
#define TISCI_DEV_BOARD0_BUS_PRG0_RGMII1_RCLK (99U)
#define TISCI_DEV_BOARD0_BUS_SPI2CLK (100U)
#define TISCI_DEV_BOARD0_BUS_WKUP_TCK (101U)
#define TISCI_DEV_BOARD0_BUS_SPI3CLK (102U)
#define TISCI_DEV_BOARD0_BUS_USB0REFCLKM (103U)
#define TISCI_DEV_BOARD0_BUS_MCU_RGMII1_RCLK (104U)
#define TISCI_DEV_BOARD0_BUS_MCASP0AHCLKR (105U)
#define TISCI_DEV_BOARD0_BUS_MCU_EXT_REFCLK0 (106U)
#define TISCI_DEV_BOARD0_BUS_MCASP0AHCLKX (107U)
#define TISCI_DEV_BOARD0_BUS_CCDC0_PCLK (108U)
#define TISCI_DEV_BOARD0_HFOSC1_CLK (109U)
#define TISCI_DEV_BOARD0_BUS_MCU_OSPI1DQS (110U)
#define TISCI_DEV_BOARD0_BUS_MCASP1AHCLKX (111U)
#define TISCI_DEV_BOARD0_BUS_PCIE1REFCLKM (112U)
#define TISCI_DEV_BOARD0_BUS_MCASP1AHCLKR (113U)
#define TISCI_DEV_BOARD0_BUS_PCIE1REFCLKP (114U)
#define TISCI_DEV_BOARD0_BUS_PRG2_RGMII1_RCLK (115U)
#define TISCI_DEV_BOARD0_BUS_SPI0CLK (116U)
/* @} */

/**
 * \brief Special ISC ID to refer to compute cluster privid registers
 */
#define TISCI_ISC_CC_ID                (160U)

/**
 *  \anchor Sciclient_IrqSrcIdxStart
 *  \name IRQ source index start
 *  @{
 *  Start offset of IRQ source index.
 */
#define TISCI_RINGACC0_OES_IRQ_SRC_IDX_START        (0U)
#define TISCI_RINGACC0_MON_IRQ_SRC_IDX_START        (1024U)
#define TISCI_RINGACC0_EOES_IRQ_SRC_IDX_START       (4096U)
#define TISCI_UDMAP0_TX_OES_IRQ_SRC_IDX_START       (0U)
#define TISCI_UDMAP0_TX_EOES_IRQ_SRC_IDX_START      (4096U)
#define TISCI_UDMAP0_RX_OES_IRQ_SRC_IDX_START       (8192U)
#define TISCI_UDMAP0_RX_EOES_IRQ_SRC_IDX_START      (12288U)
#define TISCI_UDMAP0_RX_FLOW_EOES_IRQ_SRC_IDX_START (16384U)
/* @} */

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

#ifdef __cplusplus
}
#endif

#endif /* #ifndef SCICLIENT_FMWMSGPARAMS_H_ */
